%define release	1mdk
%define version	0.7.14
%define name	vcdimager

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPL
Group:          Video
Source:         %{name}-%{version}.tar.bz2
URL:            http://www.hvrlab.org/~hvr/vcdimager/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libxml2-devel

%description 
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
rm -rf "$RPM_BUILD_ROOT"
%configure2_5x
%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std
 
%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%_install_info vcdimager.info

%preun
%_remove_install_info vcdimager.info

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/vcddebug
%{_bindir}/vcddump
%{_bindir}/vcdimager
%{_bindir}/vcdxgen
%{_bindir}/vcdxrip
%{_bindir}/vcdxbuild
%{_bindir}/vcdxminfo
%{_bindir}/cdxa2mpeg
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.14-1mdk
- new version

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.13-1mdk
- add new app vcddump
- remove build fix
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-4mdk
- explicitely list all binaries, so missing ones will make the build fail 
- fix libxml2 detection

* Mon Jan 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-3mdk
- use the right macros (fixes info dir installation)

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.12-2mdk
- rebuild

* Tue Mar 26 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.12-1mdk
- 0.7.12

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta2-1mdk
- updated to beta2

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta1-1mdk
- new in contribs

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file
